"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
exports.AxiosClientsContext = react_1.createContext(null);
var AxiosClientsManager = /** @class */ (function () {
    function AxiosClientsManager(clients) {
        this.clients = clients;
    }
    AxiosClientsManager.prototype.getClient = function (key) {
        if (key === void 0) { key = 'default'; }
        return this.clients[key];
    };
    return AxiosClientsManager;
}());
exports.AxiosClientsManager = AxiosClientsManager;
function useContextAxiosClient(clientOrName) {
    var clientsContext = react_1.useContext(exports.AxiosClientsContext);
    if (!clientOrName) {
        return clientsContext.getClient();
    }
    else if (typeof clientOrName === 'string') {
        return clientsContext.getClient(clientOrName);
    }
    else {
        return clientOrName;
    }
}
exports.useContextAxiosClient = useContextAxiosClient;
//# sourceMappingURL=AxiosClientsContext.js.map