import { createContext, useContext } from 'react';
export var AxiosClientsContext = createContext(null);
var AxiosClientsManager = /** @class */ (function () {
    function AxiosClientsManager(clients) {
        this.clients = clients;
    }
    AxiosClientsManager.prototype.getClient = function (key) {
        if (key === void 0) { key = 'default'; }
        return this.clients[key];
    };
    return AxiosClientsManager;
}());
export { AxiosClientsManager };
export function useContextAxiosClient(clientOrName) {
    var clientsContext = useContext(AxiosClientsContext);
    if (!clientOrName) {
        return clientsContext.getClient();
    }
    else if (typeof clientOrName === 'string') {
        return clientsContext.getClient(clientOrName);
    }
    else {
        return clientOrName;
    }
}
//# sourceMappingURL=AxiosClientsContext.js.map