import { DependencyList } from 'react';
import { IAxiosQueryOptions, IAxiosQueryStoreParams } from '@proscom/prostore-axios';
import { AxiosInstance } from 'axios';
export interface IUseAxiosQueryParams<Vars, Data> {
    client?: string | AxiosInstance;
    queryOptions?: IAxiosQueryStoreParams<Vars, Data>;
    variables?: Vars;
    options?: IAxiosQueryOptions<Vars>;
}
export declare function useAxiosQuery<Vars, Data>({ client, queryOptions, variables, options }: IUseAxiosQueryParams<Vars, Data>): import("@proscom/prostore-react").UseRequestStoreResult<import("@proscom/prostore").IRequestState<Vars, Data>>;
export interface IUseAxiosQueryVarsParams<Vars, Data> extends IUseAxiosQueryParams<Vars, Data> {
    variableCreator: [() => Vars, DependencyList];
}
export declare function useAxiosQueryVars<Vars, Data>({ variableCreator, ...queryProps }: IUseAxiosQueryVarsParams<Vars, Data>): import("@proscom/prostore-react").UseRequestStoreResult<import("@proscom/prostore").IRequestState<Vars, Data>>;
